Subject: Re: linux-next: manual merge of the akpm-current tree with the rcu tree

From: Yury Norov <[email-masked]>
Date: Wed, 12 May 2021 07:04:08 -0700

On Wed, May 12, 2021 at 03:04:48PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the akpm-current tree got a conflict in:
> 
>   Documentation/admin-guide/kernel-parameters.rst
> 
> between commit:
> 
>   b18def121f07 ("bitmap_parse: Support 'all' semantics")
> 
> from the rcu tree and commit:
> 
>   458a0b70b496 ("bitmap_parse: support 'all' semantics")
> 
> from the akpm-current tree.
> 
> I fixed it up (I just use the latter version) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

The difference is that Paul's version replaced 'isolcpus=all' with
'rcu_nocb=all' in documentation, which is more correct in general.

Could you please stick with the Paul's version, and sorry for
confusion?

Thanks,
Yury